/*-------------------------- Parallax Standard H_File ----------------------------
   
   H_File   : inapierr.h
   
   Scope    : Windows

   Purpose  : Header file for the API

   
--------------------------------------------------------------------------------
          Copyright (c)1995 Parallax Software , All rights reserved.            
------------------------------------------------------------------------------*/

#ifndef INC_INAPIERR
#define INC_INAPIERR


/* General Errors */
#define IN_ERR_SUCCESS               0  /* Successful operation */
#define IN_ERR_FAILURE              -1  /* Failure              */
#define IN_ERR_MEMORY               -2  /* Memory allocation error */
#define IN_ERR_SYSTEM_BUSY          -3  /* System busy, can't carry out request */
#define IN_ERR_INVALID_PARAMETERS   -4  /* Invalid parameters */
#define IN_ERR_INVALID_ARG_COUNT    -5  /* Invalid number of DDE arguments */
#define IN_ERR_UNKNOWN_COMMAND      -6  /* Command is unknown */
#define IN_ERR_INVALID_COMMAND      -7  /* Command is not parsable */
#define IN_ERR_INVALID_OBJECT       -8  /* Invalid object */
#define IN_ERR_NOTFOUND             -9  /* Object wasn't found */
#define IN_ERR_UNKNOWN             -10  /* Unknown result from old DDE API */
#define IN_ERR_INVALID_FORMAT      -11  /* Invalid file format */
#define IN_ERR_NOT_ALLOWED         -12  /* Operation not allowed */
#define IN_ERR_USER_ABORT          -13  /* User aborted operation */
#define IN_ERR_CANT_CONNECT        -14  /* Can't find Eroica */
#define IN_ERR_NO_MORE_OBJECTS     -15  /* No more objects found */
#define IN_ERR_ID_IN_USE           -16  /* Specified object ID is in use */

/* Object Type Errors */
#define IN_ERR_INVALID_PAGE        -44  /* Invalid page ID */
#define IN_ERR_INVALID_LAYER       -45  /* Invalid layer ID */
#define IN_ERR_INVALID_VIEW        -46  /* The view is invalid */


#define IN_ERR_INVALID_FILENAME   -100  /* Filename was invalid */
#define IN_ERR_NO_DOCUMENTS_FOUND -101  /* None of specified documents could be found */
#define IN_ERR_INVALID_DOCWIN     -102  /* Invalid document window ID */
#define IN_ERR_CANT_CREATE_WINDOW -103  /* Can't create document window */
#define IN_ERR_BAD_SEARCH_PARMS   -104

/* DDE Errors */

/* Document Window errors */
#define IN_ERR_INVALID_WINDOW     -120  /* Invalid window handle */

/* Page Errors */
#define IN_ERR_CURRENT_PAGE       -130

/* Layer Errors */
#define IN_ERR_NO_ACTIVE_EDIT     -160

/* File errors */

/* Misc errors */
#define IN_ERR_INVALID_PROPERTY   -221  /* Invalid property ID */
#define IN_ERR_REBUILD_REQD       -222  /* Menu/Button bar rebuild required */
#define IN_ERR_INVALID_LENGTH     -223  /* The length is invalid */
#define IN_ERR_MUST_SET_HWND      -224  /* Must call Set Advise HWnd */

/* Notify and Advise errors */
#define IN_ERR_INVALID_NOTIFY     -250
#define IN_ERR_INVALID_QUERY      -251
#define IN_ERR_INVALID_MENU_ID    -252
#define IN_ERR_INVALID_CMD_ID     -253

#endif


/* INAPIERR.H */
/* end of file */


